import { Button, Tooltip } from 'antd';
import React from 'react';
var ShowMore = function ShowMore(props) {
  var data = props.data,
    _props$maxCount = props.maxCount,
    maxCount = _props$maxCount === void 0 ? 2 : _props$maxCount;
  return /*#__PURE__*/React.createElement("div", null, data.map(function (item, index) {
    if (index >= maxCount) {
      return null;
    }
    return /*#__PURE__*/React.createElement("div", {
      key: index
    }, item);
  }), data.length > maxCount && /*#__PURE__*/React.createElement(Tooltip, {
    color: "white",
    styles: {
      body: {
        width: '50vw',
        color: '#000'
      }
    },
    placement: "top",
    showArrow: false,
    title: data.map(function (item, index) {
      if (index < maxCount) {
        return null;
      }
      return /*#__PURE__*/React.createElement("div", {
        key: index
      }, item);
    })
  }, /*#__PURE__*/React.createElement(Button, {
    type: "link",
    size: "small",
    style: {
      padding: 0
    }
  }, "\u67E5\u770B\u66F4\u591A")));
};
export default ShowMore;